/*
 *  (C) Copyright 2001 Mulle kybernetiK. All rights reserved.
 *
 *  Permission to use, copy, modify and distribute this software and its
 *  documentation is hereby granted, provided that both the copyright notice
 *  and this permission notice appear in all copies of the software, derivative
 *  works or modified versions, and any portions thereof, and that both notices
 *  appear in supporting documentation, and that credit is given to
 *  Mulle kybernetiK in all documents and publicity pertaining to direct or
 *  indirect use of this code or its derivatives.
 *
 *  THIS IS EXPERIMENTAL SOFTWARE AND IT IS KNOWN TO HAVE BUGS, SOME OF WHICH
 *  MAY HAVE SERIOUS CONSEQUENCES. THE COPYRIGHT HOLDER ALLOWS FREE USE OF THIS
 *  SOFTWARE IN ITS "AS IS" CONDITION. THE COPYRIGHT HOLDER DISCLAIMS ANY
 *  LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING DIRECTLY OR
 *  INDIRECTLY FROM THE USE OF THIS SOFTWARE OR OF ANY DERIVATIVE WORK.
 *
 *  Coded by Nat!
 *
 *  $Id$
 *
 *  $Log$
 */
#import "PrivateMutableArray.h"


@interface PrivateUnsafeMutableArray : PrivateMutableArray
{
}

@end


#define PrivateUnsafeMutableArrayCast( self)  ((struct { @defs( PrivateUnsafeMutableArray) } *) self)

static inline void  PrivateUnsafeMutableArrayAddObject(
   PrivateUnsafeMutableArray *self,
                             id p)
{
   PrivateUnsafeMutableArrayCast( self)->pointers_[ PrivateUnsafeMutableArrayCast( self)-> nPointers_++] = [p retain];
}



static inline id  PrivateUnsafeMutableArrayObjectAtIndex(
   PrivateUnsafeMutableArray *self,
   unsigned int index)
{
   return( PrivateUnsafeMutableArrayCast( self)->pointers_[ index]);
}
